Bug 1666632 - Hammer CV export prints new line character in error message instead on implementing it
Summary: Hammer CV export prints new line character in error message instead on implem...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Inter Satellite Sync
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.5.0
Assignee: Chris Roberts
QA Contact: Jitendra Yejare
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-16 08:58 UTC by Jitendra Yejare
Modified: 2019-11-05 22:43 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25861 None None None 2019-01-18 22:49:07 UTC
Github Katello hammer-cli-katello pull 618 None None None 2019-01-18 22:47:58 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:02 UTC

Description Jitendra Yejare 2019-01-16 08:58:08 UTC
Description of problem:
Hammer CV export prints/STDOUT the name of repositories that are required to set there download policies to 'immediate' and resynced. But the name of repositories is printed with /n(newline) character.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create two repositories with on-demand policy and sync
2. Create a CV with the above repositories and publish
3. Export the CV version published above and in some directory

Actual results:
The export fails with repositories name concatenated with /n(newline character)
# hammer content-view version export --export-dir /var/lib/pulp/katello-export/ --id 175
Could not export the content view:
  Error: All exported repositories must be set to an immediate download policy and re-synced.
  The following repositories need action:
    Red Hat Enterprise Linux 7 Server RPMs x86_64 7Server\nRed Hat Enterprise Linux 7 Server Kickstart x86_64 7.6

Expected results:
1. The export should fail with each repository name on new line.
2. The /n(newline) character should not be printed in error message.

Additional info:

Comment 4 Jitendra Yejare 2019-01-25 09:01:00 UTC
Verified!

@Satellite 6.5 snap 12

Steps:
1. Created two repositories with on-demand policy and sync
2. Created a CV with the above repositories and published
3. Attempt to export the CV version published above


Behavior (As expected):
The repositories names are in error are separated correctly and by the comma:

# hammer content-view version export --id 7 --export-dir /var/lib/pulp/katello-export/
Could not export the content view:
  Error: All exported repositories must be set to an immediate download policy and re-synced.
  The following repositories need action:
    Red Hat Satellite 6.2 for RHEL 6 Server RPMs x86_64, Red Hat Satellite 6.3 for RHEL 7 Server RPMs x86_64

Comment 6 errata-xmlrpc 2019-05-14 12:39:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.